package com.om.service.impl;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.om.entity.po.Manual;
import com.om.mapper.ManualMapper;
import com.om.service.IManualService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springframework.stereotype.Service;

/**
 * <p>
 *  服务实现类
 * </p>
 *
 * @author henry-ong
 * @since 2024-02-28
 */
@Service
public class ManualServiceImpl extends ServiceImpl<ManualMapper, Manual> implements IManualService {
  private final ManualMapper manualMapper;

  public ManualServiceImpl(ManualMapper manualMapper) {
    this.manualMapper = manualMapper;
  }

  @Override
  public Page<Manual> findManual(Page<Manual> page, String code, String title) {
    return manualMapper.findManual(page, code, title);
  }
}
