package com.om.controller.user;



import com.om.entity.dto.DistributorDTO;
import com.om.entity.vo.APpDistributorVO;
import com.om.service.IDistributorService;
import com.om.utils.Result;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.web.bind.annotation.*;

import javax.annotation.Resource;

@RestController
@Api(tags = "用户端维修厂")
@RequestMapping("/app/distributor/")
public class APPDistributorController {

    @Resource
    private IDistributorService distributorService;

    @ApiOperation("用户查询维修厂信息")
    @GetMapping("getById")
    public Result<APpDistributorVO> AppGetById(@RequestParam Integer id){
        return distributorService.AppGetById(id);
    }


    @PostMapping("/AppUpdate")
    @ApiOperation("用户修改维修厂信息")
    public Result Appupdate(@RequestBody APpDistributorVO distributorVO){
        return distributorService.Appupdate(distributorVO);
    }
}
