package com.om.entity.dto;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.time.LocalDateTime;

@Data
@NoArgsConstructor
public class RepairQueryPageDTO {
    @ApiModelProperty(value = "当前页码")
    private Integer pageIndex;

    @ApiModelProperty(value = "每个页码的大小")
    private Integer pageSize;

    @ApiModelProperty(value = "搜索字段---搜索编号")
    private String searchNum;

    @ApiModelProperty(value = "搜索字段---搜索VIN码")
    private String searchVIN;

    @ApiModelProperty(value = "搜索字段---开始时间")
    private LocalDateTime beginTime;

    @ApiModelProperty(value = "搜索字段---结束时间")
    private LocalDateTime endTime;

    @ApiModelProperty(value = "搜索字段---搜索维修厂")
    private String searchDistributor;
}
